function [K, L, M, N] = first_solver_case_2_3(sys)
% Define model parameters
eps_1 = @(x)(sys.tpt.mu_2);
eps_2 = @(x)(sys.tpt.lambda_1);
eps_3 = @(x)(sys.tpt.lambda_1);
eps_4 = @(x)(sys.tpt.lambda_2);
lambda_1 = @(x)(sys.tpt.lambda_2);
lambda_2 = @(x)(sys.tpt.mu_1);
lambda_3 = @(x)(sys.tpt.lambda_1);
lambda_4 = @(x)(sys.tpt.lambda_1);
params.eps_1(1:sys.N_g) = eps_1(sys.xspan);
params.eps_2(1:sys.N_g) = eps_2(sys.xspan);
params.eps_3(1:sys.N_g) = eps_3(sys.xspan);
params.eps_4(1:sys.N_g) = eps_4(sys.xspan);
params.lambda_1(1:sys.N_g) = lambda_1(sys.xspan);
params.lambda_2(1:sys.N_g) = lambda_2(sys.xspan);
params.lambda_3(1:sys.N_g) = lambda_3(sys.xspan);
params.lambda_4(1:sys.N_g) = lambda_4(sys.xspan);
params.a_1 = zeros(sys.N_g);
params.a_2 = zeros(sys.N_g);
params.a_3 = zeros(sys.N_g);
params.a_4 = kron(ones(sys.N_g, 1), sys.tpt.sigma_22_mp(sys.N_g:-1:1));
params.b_1 = zeros(sys.N_g);
params.b_2 = zeros(sys.N_g);
params.b_3 = kron(ones(1, sys.N_g), sys.tpt.sigma_11_mp');
params.b_4 = zeros(sys.N_g);
params.c_1 = zeros(sys.N_g);
params.c_2 = kron(ones(1, sys.N_g), sys.tpt.sigma_11_pm');
params.c_3 = zeros(sys.N_g);
params.c_4 = zeros(sys.N_g);
params.d_1 = kron(ones(sys.N_g, 1), -sys.tpt.sigma_22_pm(sys.N_g:-1:1));
params.d_2 = zeros(sys.N_g);
params.d_3 = zeros(sys.N_g);
params.d_4 = zeros(sys.N_g);

% Define boundary condition parameters
params.f_1 = zeros(1, sys.N_g);
params.f_2 = sys.tpt.sigma_11_pm/(sys.tpt.mu_1 + sys.tpt.lambda_1);
params.q_1 = 1;
params.q_2 = 0;
params.q_3 = 0;
params.q_4 = 0;

% Call solver
[K, L, M, N] = solver_nm_mod(params, sys.N_g);
