function [M, N] = fourth_solver(sys)
    
    % Define model parameters
    eps_1 = @(x)(sys.ttt.lambda);
    eps_2 = @(x)(0);
    eps_3 = @(x)(sys.ttt.lambda);
    eps_4 = @(x)(0);
    lambda_1 = @(x)(sys.ttt.mu);
    lambda_2 = @(x)(0);
    lambda_3 = @(x)(sys.ttt.lambda);
    lambda_4 = @(x)(0);
    params.eps_1(1:sys.N_g_sim) = eps_1(sys.xspan_sim);
    params.eps_2(1:sys.N_g_sim) = eps_2(sys.xspan_sim);
    params.eps_3(1:sys.N_g_sim) = eps_3(sys.xspan_sim);
    params.eps_4(1:sys.N_g_sim) = eps_4(sys.xspan_sim);
    params.lambda_1(1:sys.N_g_sim) = lambda_1(sys.xspan_sim);
    params.lambda_2(1:sys.N_g_sim) = lambda_2(sys.xspan_sim);
    params.lambda_3(1:sys.N_g_sim) = lambda_3(sys.xspan_sim);
    params.lambda_4(1:sys.N_g_sim) = lambda_4(sys.xspan_sim);
    params.a_1 = zeros(sys.N_g_sim);
    params.a_2 = zeros(sys.N_g_sim);
    params.a_3 = kron(ones(1, sys.N_g_sim), sys.ttt.sigma_m');
    params.a_4 = zeros(sys.N_g_sim);
    params.b_1 = zeros(sys.N_g_sim);
    params.b_2 = zeros(sys.N_g_sim);
    params.b_3 = zeros(sys.N_g_sim);
    params.b_4 = zeros(sys.N_g_sim);
    params.c_1 = kron(ones(1, sys.N_g_sim), sys.ttt.sigma_p');
    params.c_2 = zeros(sys.N_g_sim);
    params.c_3 = zeros(sys.N_g_sim);
    params.c_4 = zeros(sys.N_g_sim);
    params.d_1 = zeros(sys.N_g_sim);
    params.d_2 = zeros(sys.N_g_sim);
    params.d_3 = zeros(sys.N_g_sim);
    params.d_4 = zeros(sys.N_g_sim);
    % Define boundary condtion parameters
    params.f_1 = sys.ttt.sigma_m/(sys.ttt.mu + sys.ttt.lambda);
    params.f_2 = zeros(1, sys.N_g_sim);
    params.q_1 = 1;
    params.q_2 = 0;
    params.q_3 = 0;
    params.q_4 = 0;
    
    % Call solver
    [N, J, M, Q] = solver_nm(params, sys.N_g_sim);