function [K, L, M, N] = second_solver_case_1_4(sys)

% Define model parameters
eps_1 = @(x)(sys.tpt.lambda_2);
eps_2 = @(x)(sys.tpt.lambda_2);
eps_3 = @(x)(sys.tpt.lambda_2);
eps_4 = @(x)(sys.tpt.lambda_2);
lambda_1 = @(x)(sys.tpt.mu_1);
lambda_2 = @(x)(sys.tpt.mu_2);
lambda_3 = @(x)(sys.tpt.lambda_1);
lambda_4 = @(x)(sys.tpt.lambda_2);
params.eps_1(1:sys.N_g) = eps_1(sys.xspan);
params.eps_2(1:sys.N_g) = eps_2(sys.xspan);
params.eps_3(1:sys.N_g) = eps_3(sys.xspan);
params.eps_4(1:sys.N_g) = eps_4(sys.xspan);
params.lambda_1(1:sys.N_g) = lambda_1(sys.xspan);
params.lambda_2(1:sys.N_g) = lambda_2(sys.xspan);
params.lambda_3(1:sys.N_g) = lambda_3(sys.xspan);
params.lambda_4(1:sys.N_g) = lambda_4(sys.xspan);
params.a_1 = zeros(sys.N_g);
params.a_2 = zeros(sys.N_g);
params.a_3 = zeros(sys.N_g);
params.a_4 = kron(ones(1, sys.N_g), sys.tpt.sigma_12_mp');
params.b_1 = zeros(sys.N_g);
params.b_2 = zeros(sys.N_g);
params.b_3 = kron(ones(1, sys.N_g), sys.tpt.sigma_21_mp');
params.b_4 = zeros(sys.N_g);
params.c_1 = zeros(sys.N_g);
params.c_2 = kron(ones(1, sys.N_g), sys.tpt.sigma_12_pm');
params.c_3 = zeros(sys.N_g);
params.c_4 = zeros(sys.N_g);
params.d_1 = kron(ones(1, sys.N_g), sys.tpt.sigma_21_pm');
params.d_2 = zeros(sys.N_g);
params.d_3 = zeros(sys.N_g);
params.d_4 = zeros(sys.N_g);

% Define boundary condition parameters
params.f_1 = sys.tpt.sigma_12_mp/(sys.tpt.mu_1 + sys.tpt.lambda_2);
params.f_2 = zeros(1, sys.N_g);
params.q_1 = 1;
params.q_2 = 0;
params.q_3 = 0;
params.q_4 = 1;

% Call solver
[K, L, M, N] = solver_nm(params, sys.N_g);